<?php

namespace App\Models;

class TicketCommentModel
{
  public function __construct(
    private ?int $id,
    private int $ticketId,
    private int $userId,
    private string $komentar,
    private string $tipe,
    private string $tanggalKomentar,
    private ?string $namaUser = null,
  ) {}

  public function getId(): ?int
  {
    return $this->id;
  }

  public function getTicketId(): int
  {
    return $this->ticketId;
  }

  public function getUserId(): int
  {
    return $this->userId;
  }

  public function getKomentar(): string
  {
    return $this->komentar;
  }

  public function getTipe(): string
  {
    return $this->tipe;
  }

  public function getTanggalKomentar(): string
  {
    return $this->tanggalKomentar;
  }

  public function getNamaUser(): ?string
  {
    return $this->namaUser;
  }
}
